Summary: A simple program that emulates the detach feature of screen
Name: dtach
Version: 0.9
Release:    1%{?dist}
License: GPLv2+
URL: http://dtach.sourceforge.net
Source0: http://prdownloads.sourceforge.net/dtach/dtach-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires: make
%description

dtach is a program that emulates the detach feature of screen, with
less overhead.  It is designed to be transparent and un-intrusive; it
avoids interpreting the input and output between attached terminals
and the program under its control. Consequently, it works best with
full-screen applications such as emacs.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 755 dtach %{buildroot}/%{_bindir}/dtach
install -m 644 dtach.1 %{buildroot}/%{_mandir}/man1/dtach.1

%clean
make clean
rm -rf %{buildroot}

%files
%doc COPYING README
%{_bindir}/dtach
%{_mandir}/*/*

%changelog
* Fri Aug 23 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9-1
- initial build
